$ SAVE_VERIFY='F$VERIFY(0)
$ if p1 .Eqs. "CLEAN" then goto clean
$ if p1 .Eqs. "CLOBBER" then goto clobber
$ if p1 .Eqs. "INSTALL" then goto install
$!
$!	Compile Motif File Manager
$!
$ Set Symbol/Scope=NoGlobal
$!
$!
$!  Check for using X Server extensions
$!
$ Compile_With_Extensions = F$TrnLNM("Compile_With_Extensions")
$!
$!  If Indicated, compile with the new DEC C compiler
$!
$ Use_DECC = F$TrnLNM("Compile_With_DECC")
$ If Use_DECC Then CC := CC/DECC
$!
$!  Check to see if we are compiling on an Alpha
$!
$ __ALPHA = F$GetSYI("HW_MODEL")
$ If __ALPHA .Gt. 1024
$ Then
$	CC := CC/WARN=NOINFO/STAND=VAXC
$	Define Sys Decc$Library_Include
$ EndIf
$!
$!  Get the compiler options via the logical name COPTS
$!
$ If __ALPHA .Gt. 1024
$ Then
$!
$! Uncomment this line if you happen to have DECwindows/Motif 1.2
$! And comment out the one after it.
$!
$! cc_options = f$trnlnm("COPTS") + "/define=(""""vax11c"""",ALLOW_ROWCOL_RESIZE,RDD)"
$ cc_options = f$trnlnm("COPTS") + "/define=(""""vax11c"""",RDD)"
$ Else
$!
$! Uncomment this line if you happen to have DECwindows/Motif 1.2
$! And comment out the one after it.
$!
$! cc_options = f$trnlnm("COPTS") + "/define=(ALLOW_ROWCOL_RESIZE,RDD)"
$ cc_options = f$trnlnm("COPTS") + "/define=(RDD)"
$ Endif
$!
$!  Get the linker options via the logical name LOPTS
$!
$ link_options = f$trnlnm("LOPTS")
$!
$!  Compile the "C" files
$!
$! procedure target	command 			depends upon
$! CALL MAKE FILE.OBJ	"CC ''cc_options' FILE.C"	FILE.C
$ write sys$output "Compiling xmfm sources"
$ CALL MAKE APPLICAT.OBJ  	"CC ''cc_options' APPLICAT.C"	APPLICAT.C
$ CALL MAKE BUILTIN.OBJ  	"CC ''cc_options' BUILTIN.C"	BUILTIN.C
$ CALL MAKE BUTTONCB.OBJ  	"CC ''cc_options' BUTTONCB.C"	BUTTONCB.C
$ CALL MAKE DIRECTORY.OBJ  	"CC ''cc_options' DIRECTORY.C"	DIRECTORY.C
$ CALL MAKE DIRMGR.OBJ  	"CC ''cc_options' DIRMGR.C"	DIRMGR.C
$ CALL MAKE DRAG.OBJ  		"CC ''cc_options' DRAG.C"	DRAG.C
$ CALL MAKE FILECB.OBJ  	"CC ''cc_options' FILECB.C"	FILECB.C
$ CALL MAKE FILE_ACT.OBJ  	"CC ''cc_options' FILE_ACT.C"	FILE_ACT.C
$ CALL MAKE FILTERCB.OBJ  	"CC ''cc_options' FILTERCB.C"	FILTERCB.C
$ CALL MAKE GETPWNAM.OBJ	"CC ''cc_options' GETPWNAM.C"	GETPWNAM.C
$ CALL MAKE GOTOCB.OBJ  	"CC ''cc_options' GOTOCB.C"	GOTOCB.C
$ CALL MAKE HELP.OBJ  		"CC ''cc_options' HELP.C"	HELP.C
$ CALL MAKE HELP_MES.OBJ  	"CC ''cc_options' HELP_MES.C"	HELP_MES.C
$ CALL MAKE INFO.OBJ  		"CC ''cc_options' INFO.C"	INFO.C
$ CALL MAKE LNM.OBJ		"CC ''cc_options' LNM.C"	LNM.C LNM.H
$ CALL MAKE MAIN.OBJ  		"CC ''cc_options' MAIN.C"	MAIN.C
$ CALL MAKE MENU.OBJ  		"CC ''cc_options' MENU.C"	MENU.C
$ CALL MAKE PROMPT.OBJ  	"CC ''cc_options' PROMPT.C"	PROMPT.C
$ CALL MAKE RDD.OBJ  		"CC ''cc_options' RDD.C"	RDD.C
$ CALL MAKE REFRESH.OBJ  	"CC ''cc_options' REFRESH.C"	REFRESH.C
$ CALL MAKE REGEXP.OBJ  	"CC ''cc_options' REGEXP.C"	REGEXP.C
$ CALL MAKE RUNCB.OBJ  		"CC ''cc_options' RUNCB.C"	RUNCB.C
$ CALL MAKE STRINGS.OBJ		"MAC ''mac_options' STRINGS.MAR" STRINGS.MAR
$ CALL MAKE UTILS.OBJ  		"CC ''cc_options' UTILS.C"	UTILS.C
$ CALL MAKE VMS_DIRECTORY.OBJ  	"CC ''cc_options' VMS_DIRECTORY.C"	VMS_DIRECTORY.C
$ CALL MAKE VMS_REGEX.OBJ  	"CC ''cc_options' VMS_REGEX.C"	VMS_REGEX.C
$ CALL MAKE VMS_CMD_SERVICES.OBJ "CC ''cc_options' VMS_CMD_SERVICES.C" VMS_CMD_SERVICES.C VMS_CMD_SERVICES.H
$ CALL MAKE WARNING.OBJ  	"CC ''cc_options' WARNING.C"	WARNING.C
$ CALL MAKE XMVARARG.OBJ  	"CC ''cc_options' XMVARARG.C"	XMVARARG.C
$!
$ Write Sys$Output "Linking XMFM image"
$ CALL MAKE XMFM.EXE		"LINK ''link_options XMFM/OPT"	*.OBJ
$!
$! If built on the Alpha then remove the SYS logical
$!
$ If __ALPHA .Gt. 1024 Then Deassign SYS
$!
$ EXIT

$install:
$ write sys$output "Nothing to install"
$ Exit

$clobber:
$ Write Sys$Output "Clobbering everything"
$ Delete/Log/NoConfirm *.lis;*
$ Delete/Log/NoConfirm *.obj;*
$ Delete/Log/NoConfirm *.exe;*
$ Delete/Log/NoConfirm *.map;*
$ Exit

$clean:
$ Write Sys$Output "Cleaning directory"
$ Purge/Log/NoConfirm *.*
$ Delete/Log/NoConfirm *.obj;*
$ Delete/Log/NoConfirm *.lis;*
$ Exit

$MAKE: SUBROUTINE   !SUBROUTINE TO CHECK DEPENDENCIES
$ V = 'F$Verify(0)
$! P1 = What we are trying to make
$! P2 = Command to make it
$! P3 - P8  What it depends on
$
$ If F$Search(P1) .Eqs. "" Then Goto Makeit
$ Time = F$CvTime(F$File(P1,"RDT"))
$arg=3
$Loop:
$	Argument = P'arg
$	If Argument .Eqs. "" Then Goto Exit
$	El=0
$Loop2:
$	File = F$Element(El," ",Argument)
$	If File .Eqs. " " Then Goto Endl
$	AFile = ""
$Loop3:
$	OFile = AFile
$	AFile = F$Search(File)
$	If AFile .Eqs. "" .Or. AFile .Eqs. OFile Then Goto NextEl
$	If F$CvTime(F$File(AFile,"RDT")) .Ges. Time Then Goto Makeit
$	Goto Loop3
$NextEl:
$	El = El + 1
$	Goto Loop2
$EndL:
$ arg=arg+1
$ If arg .Le. 8 Then Goto Loop
$ Goto Exit
$
$Makeit:
$ Set Verify
$ 'P2
$ VV='F$Verify(0)
$Exit:
$ If V Then Set Verify
$ENDSUBROUTINE
